/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */



/******************************************************************************



FILE



  $Id: peripheral.h,v 1.1 2005/02/17 20:26:46 crh Exp $



AUTHOR



  Welson Sun (welson@et.byu.edu)



DESCRIPTION

  

  This is the peripheral interfaces(LED,DIP,Pushbotton) API header for the XUP board.



NOTES

  

  None



******************************************************************************/



#ifndef XUP_UART_H

#define XUP_UART_H



/*****************************************************************************

Including files

*****************************************************************************/

#include <xgpio_l.h>

#include <xparameters.h>



/*****************************************************************************

Definitions

*****************************************************************************/



/*****************************************************************************

Global variables

*****************************************************************************/

static Xuint32 SWITCH_BASEADDR;



/*****************************************************************************

Function prototypes

*****************************************************************************/

void periphInit(Xuint32);



void init_gpio();



void turnLED(int, int);



Xuint8 getDIP(int);



#endif

